« MacPorts 1.7.0 | トップページ | 三重積分 »

2009年2月28日 (土)

MacPortsでGnumeric 1.8.4へアップグレード失敗

うちのPantherでMacPorts 1.7.0を使ってGnumericを1.8.4へアップグレードしてみた。

sudo port upgrade outdated

で古いものを全部アップデートしようとしたら、一晩かかっても終わらなかった・・・

新しいバージョンが出ているソフトの中で、いくつかがビルドに失敗している。たぶんもうPantherに対応していないんだろうなあ。

xorg-renderproto @0.9.3_0やperl5.8 @5.8.9_2なんかはすでに他のソフトが同じ名前のファイルを使っていて、そちらのソフトをdeactivateするか-fオプションをつけてactivateしろというメッセージが出ていた。なので、-fで強制アクティベート。

sudo port activate -f perl5.8 @5.8.9_2

Gnumeric 1.8.4はgoffice 0.6.3以上を要求するみたいなのだけど、今インストールされているのは0.6.1_0。現時点の最新版は0.6.5_0。なにやらいろいろエラーが出てgofficeをビルドできない。bzip2のビルドでエラーが出ているのが原因みたいだけど。

Gnumeric 1.8.1が動いているからいいのだけど、時間があったら何とかならないか挑戦してみる予定。何ともならないかも知れない気もするけど (^^;)      

|

« MacPorts 1.7.0 | トップページ | 三重積分 »

Mac OS X」カテゴリの記事

Gnumeric」カテゴリの記事

コメント

コメントを書く



(ウェブ上には掲載しません)


コメントは記事投稿者が公開するまで表示されません。



トラックバック


この記事へのトラックバック一覧です: MacPortsでGnumeric 1.8.4へアップグレード失敗:

« MacPorts 1.7.0 | トップページ | 三重積分 »